Download an export's file
curl --request GET \
--url https://app.usertick.com/api/public/v1/exports/{exportId}/download \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usertick.com/api/public/v1/exports/{exportId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.usertick.com/api/public/v1/exports/{exportId}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"url": "<string>",
"expiresInSeconds": 123
}
Download an export's file
A finished export’s file: 302 to a download link that works for five minutes, or with redirect=false the link as JSON. 409 PUB-013-003 while the export has no file (queued, running or failed), 410 PUB-013-004 once the file was deleted, 24 hours after the export finished.
Scopes: exports:create.
GET
/
exports
/
{exportId}
/
download
Download an export's file
curl --request GET \
--url https://app.usertick.com/api/public/v1/exports/{exportId}/download \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usertick.com/api/public/v1/exports/{exportId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.usertick.com/api/public/v1/exports/{exportId}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"url": "<string>",
"expiresInSeconds": 123
}
Authorizations
bearerAuthapiKeyHeader
Last modified on November 9, 2026